Some limitations are associated with the upgrade of the vRealize Infrastructure Navigator virtual appliance. Consider these limitations before upgrading the virtual appliance.

You cannot roll back to an earlier version after you perform the upgrade procedure. Take a snapshot of the vRealize Infrastructure Navigator virtual appliance before you run the upgrade procedure.

When using the vRealize Infrastructure NavigatorWeb console, you can only upgrade to the latest version available.

No authentication or access control mechanism is available to the catalog.

During the upgrade procedure, if you try to access the Application Dependencies tab in the vSphere Web Client, you might see a communication error message. The message appears because the engine stops working while the upgrade is in progress.

After an upgrade, the Application Dependencies tab is available only after you restart the vSphere Web Client service on the vCenter Server.